View Issue Details

IDProjectCategoryView StatusLast Update
0000329FineFriends[All Projects] Login & registrationpublic2019-07-31 08:58
ReportertimAssigned Totim 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.0Fixed in Version1.3.0 
Summary0000329: Improve registration flow using third party login
DescriptionThe registration flow when using a third party login provider is currently not very good.

The user clicks the button, accepts and the account is created.
There is a warning that the user needs to set a password and the reset link is sent to the email.
It would be better to provide the user some quick settings before logging in.

- Allow to check and change username ONCE (currently generated)
- Allow user to choose display name (currently generated)
- Allow user to set password (reset-email no longer needed, no more warning needed)
- Add checkbox for terms and services
TagsImprovement
Attach Tags

Relationships

related to 0000345 resolvedtim XSS in new external registration flow 
child of 0000323 resolvedtim Improve oAuth login third parties 

Activities

tim

2019-06-26 10:26

administrator   ~0000200

Users can now choose their own username, displayname and set their password.

Issue History

Date Modified Username Field Change
2019-06-09 15:27 tim New Issue
2019-06-09 15:27 tim Status new => assigned
2019-06-09 15:27 tim Assigned To => tim
2019-06-09 15:27 tim Tag Attached: Improvement
2019-06-09 15:27 tim Relationship added related to 0000323
2019-06-11 12:23 tim Relationship replaced child of 0000323
2019-06-26 10:26 tim Status assigned => resolved
2019-06-26 10:26 tim Resolution open => fixed
2019-06-26 10:26 tim Fixed in Version => 1.3.0
2019-06-26 10:26 tim Note Added: 0000200
2019-07-31 08:58 tim Relationship added related to 0000345